/*
 *  gettimeofday() for non-djgpp targets
 *
 *  For __WATCOMC__, __TURBOC__<=0x401 and _MSC_VER<=600 where 'timezone' 
 *  cannot be overlayed, the exported prototype used is used is the one 
 *  specified in the XOpen and POSIX 1.3 standards and the one used on modern
 *  (ie 4.4BSD spec) BSDs. ie 'int gettimeofday(struct timeval *, ... )'.
 *  and the second arg, if specified, is ignored.
 *  
 *  G. Vanem <giva@bgnett.no>
 *
 *  10.aug 1996 - Created
 *
*/
#ifndef __GETTIMEOFDAY_H
#define __GETTIMEOFDAY_H

#ifdef __cplusplus
extern "C" {
#endif

#if 0
#if defined(__WATCOMC__)
extern int gettimeofday (struct timeval *tv, ... );
#elif defined(__TURBOC__) && (__TURBOC__ <= 0x410) /* TCC/BCC <= 3.1 */
extern int gettimeofday (struct timeval *tv, ... );
#elif defined(_MSC_VER) && (_MSC_VER <= 600)
extern int gettimeofday (struct timeval *tv, ... );
#elif !defined(__DJGPP__) /* djgpp already has gettimeofday */
extern int gettimeofday (struct timeval *tv, struct timezone *tz);
#endif
#endif

#ifdef __cplusplus
}
#endif

#endif /* __GETTIMEOFDAY_H */
